package com.symantec.itools.tools.utilities;


import java.applet.Applet;
import com.symantec.itools.lang.Classpath;


/**
 * @author Symantec Internet Tools Division
 * @version 1.0
 * @since VCafe 3.0
 */

public class ShowValidClasspath
    extends Applet
{
    public ShowValidClasspath()
    {
    }
    
    public void init()
    {
        try
        {
            String[] classpath;

            classpath = new Classpath().getValidClasspath();

            System.out.println("Valid CLASSPATH entries:\n");

            for(int i = 0; i < classpath.length; i++)
            {
                System.out.println("   " + classpath[i]);
            }
        }
        catch(SecurityException ex)
        {
            System.out.println("Security Excpetion");
        }
    }

    /**
     * @param argv TODO
     * @since VCafe 3.0
     */
    public static void main(String[] argv)
    {
        new ShowValidClasspath().init();
    }
}